//========================================================================================
//
//	File:				FWFileAc.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWFILEAC_H
#include "FWFileAc.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment File
#endif

#if defined(__MWERKS__) && GENERATING68K
// A hack to work around a bug
#pragma import list somNewObjectInstance
#endif

//========================================================================================
// CLASS FW_PFileSink
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_PFileSink::FW_PFileSink
//----------------------------------------------------------------------------------------
FW_PFileSink::FW_PFileSink(Environment* ev, FW_OFileSink* theFileSink) :
	FW_PRandomAccessSink(ev, theFileSink)
{
}

//----------------------------------------------------------------------------------------
//	FW_PFileSink::FW_PFileSink
//----------------------------------------------------------------------------------------
FW_PFileSink::FW_PFileSink(Environment* ev, FW_OFile* theFile) :
	FW_PRandomAccessSink(ev, new FW_OFileSink())
{
	((FW_OFileSink*)GetRep())->InitFromOFile(ev, theFile);
}

//----------------------------------------------------------------------------------------
//	FW_PFileSink::~FW_PFileSink
//----------------------------------------------------------------------------------------
FW_PFileSink::~FW_PFileSink()
{
}


